## mycompiler.mytypereconstruction
Class CReconstructionTuple

    java.lang.Object
      mycompiler.mytypereconstruction.CReconstructionTuple

    public class CReconstructionTuple

extends java.lang.Object

Container-Klasse für Ergebniswerte des Algorithmus TRStart. (siehe Algorithmus 5.18 TRStart, Martin Plümicke)

Version:
  $date
Author:
  Jörg Bäuerle

Constructor Summary
`CReconstructionTuple()`
`CReconstructionTuple(CSubstitutionSet subSet, CTypeAssumptionSet assumSet)`

Method Summary
`CReconstructionTuple` `clone()`
`boolean` `equals(java.lang.Object obj)`
`CTypeAssumptionSet` `getAssumSet()`
`CSubstitutionSet` `getSubSet()`
`void` `setAssumSet(CTypeAssumptionSet assumSet)`
`void` `setSubSet(CSubstitutionSet subSet)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CReconstructionTuple

    public CReconstructionTuple()

### CReconstructionTuple

    public CReconstructionTuple(CSubstitutionSet subSet,
                                CTypeAssumptionSet assumSet)

Method Detail

### getAssumSet

    public CTypeAssumptionSet getAssumSet()

### setAssumSet

    public void setAssumSet(CTypeAssumptionSet assumSet)

### getSubSet

    public CSubstitutionSet getSubSet()

### setSubSet

    public void setSubSet(CSubstitutionSet subSet)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public CReconstructionTuple clone()

  Overrides:
    `clone` in class `java.lang.Object`